Subject: Re: [PATCH 6/9] MPIC MSI allocator

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 14 Dec 2006 11:32:53 +1100

> So make the platform register the range of (possibly) usable MSI
> addresses instead of adding a nasty hack like that to the mpic driver.

The hack is not that nasty... it's only ever run on U3/U4 on which it's
actually correct, at least if Michael did what I told him to do which is
to test the MPIC_BROKEN_U3 bit :-)

> Adding numeric constants like that (completely without comments as to
> where they came from) in a function called
> mpic_msi_auto_reserve_hwirqs() is just too ugly.

Yes, it should be mpic_msi_reserve_u3u4_irqs() or something like that.

Ben.